# Push News

`POST /api/v1/push-news/{GROUP_NAME}/{DAYS} HTTP/1.1`

Replace GROUP\_NAME with the Group Name and DAYS with the number of days for which news have to be posted.&#x20;

Maximum number of days can be 5&#x20;

You’ll have to pass the REST end point URL to which news have to be posted in HTTP header with the name callback-url.

**Response body**

```
{
            "response": "response"
}
```

| Param    | Description                                                      |
| -------- | ---------------------------------------------------------------- |
| response | Response received from the `callback-url` after posting the news |

**News are posted in the JSON format**

```
{
    "group": "group_name",
    "postedDate": "posted_date",
    "news": [
        {
            "id": "new_id",
            "publisher": "news_publisher",
            "title": "new_title",
            "url": "new_url",
            "desc": "news_desc",
            "publishDate": "news_published_date",
            "companies": [ 
               {
                "id": "Intellizence_company_id"
                }
            ],
            "triggers": ["trigger"]
        }
    ]
}
```
